summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-09-13 10:13:26 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-09-13 10:14:38 -0700
commit6c65d82b13791b47934181111e3831ef26510cea (patch)
treefbcd543a6e3926b5aebe20fa8f82d76252228730 /app-backup
parentnet-libs/webkit-gtk: cmake syntax is -DRUBY_EXECUTABLE, not RUBY (diff)
downloadgentoo-6c65d82b13791b47934181111e3831ef26510cea.tar.gz
gentoo-6c65d82b13791b47934181111e3831ef26510cea.tar.bz2
gentoo-6c65d82b13791b47934181111e3831ef26510cea.zip
app-backup/duplicity: bump
Package-Manager: portage-2.2.20.1 Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
Diffstat (limited to 'app-backup')
-rw-r--r--app-backup/duplicity/Manifest1
-rw-r--r--app-backup/duplicity/duplicity-0.6.26.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/app-backup/duplicity/Manifest b/app-backup/duplicity/Manifest
index abd55be70ed..3c064751b4c 100644
--- a/app-backup/duplicity/Manifest
+++ b/app-backup/duplicity/Manifest
@@ -2,3 +2,4 @@ DIST duplicity-0.6.22.tar.gz 1257082 SHA256 6f489b0445681f0697488f3d4097b4c56a7f
DIST duplicity-0.6.23.tar.gz 1260261 SHA256 7a17f1e10395dedcf3204bc53925bb9dcbbf2a7552c9b096ebe727eceb9c0c60 SHA512 35c3facf9f44e117c74d880bef3f50c2f6a778fac31b38398934007befbe5dedb3f56ccdd592c231c0835baaba905ca942a889e0a1358c1b79570db08376385a WHIRLPOOL 6edffb363c48a90a6c3dc9d7a8ccdb22a6390e422255deca7a84b5e87e13a865fa325313f50bea52cdea7b3ae6b880e939c6cd58d605d4cc5df0e7f191523145
DIST duplicity-0.6.24.tar.gz 1268175 SHA256 1d41d756638f55106f9501c3db94ccbc6568aa856ba531e07ed2cfb760b62450 SHA512 5bb783ef6ddbfa6672279287b01f44e33256829971e7b8bbe26d648d2c78d438018bddd977281b8a1ff7e5c1505a3b60fe03ecb5ba8022a597f9f952b2815273 WHIRLPOOL f42120cc403a987a9e5f747e1f7502059772f9c2fdb1afb92caa354676b7089736cd9524d08ef6677872a5019e17d2092513cc5544beed5fb0d80158742e1ebf
DIST duplicity-0.6.25.tar.gz 1269583 SHA256 ac44f44abc1c5fe775a49b77e722d238c0b3bbb105e083fd505e2dca8e2c1725 SHA512 17304e38990e0a34aa4bae9f2d12a99ece031ac048667fba27afbcc32e1fb8455a2672426e49edb543bd7e345dc74f784f34c26ec2e1651eb10ba479868e04a0 WHIRLPOOL 8af905551078e30529dd31bd7de8f783ec0875c57e9f4d93388c5e407e9aecd19c0d151d3eb4d718cb5ea4dd649bb835611604f5ee5ad33f04355846a406d39d
+DIST duplicity-0.6.26.tar.gz 1270436 SHA256 8bef8a5d805b79ae177e54d42152238bce1b2aaf9ad32e03a2c3a20cbd4e074a SHA512 0cd02984eda99c81a30c9ac9926c41df0597f8f287a3e8ccd7d6fb9d420159028112be6b3fc8acf9b413940c07d0e754b2a509b6bca52965d2c333d4bcec8689 WHIRLPOOL 873b9fc9e035ed31cef996ace747c6a97b9434b50945578b019627c94e8eb7ba0861909e74b95db143ddb50dfdb23241a3ddfe712a97e0cd1f29c324c5d99c16
diff --git a/app-backup/duplicity/duplicity-0.6.26.ebuild b/app-backup/duplicity/duplicity-0.6.26.ebuild
new file mode 100644
index 00000000000..b488fbc4053
--- /dev/null
+++ b/app-backup/duplicity/duplicity-0.6.26.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="Secure backup system using gnupg to encrypt data"
+HOMEPAGE="http://www.nongnu.org/duplicity/"
+SRC_URI="https://code.launchpad.net/${PN}/0.6-series/${PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE="s3 test"
+
+CDEPEND="
+ net-libs/librsync
+ app-crypt/gnupg
+ dev-python/lockfile
+"
+DEPEND="${CDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/mock[${PYTHON_USEDEP}] )
+"
+RDEPEND="${CDEPEND}
+ dev-python/paramiko[${PYTHON_USEDEP}]
+ s3? ( dev-python/boto[${PYTHON_USEDEP}] )
+"
+
+# workaround until failing test is fixed
+PATCHES=( "${FILESDIR}"/${PN}-0.6.24-skip-test.patch )
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ sed -i "s/'COPYING',//" setup.py || die "Couldn't remove unnecessary COPYING file."
+}
+
+python_test() {
+ esetup.py test
+}
+
+pkg_postinst() {
+ einfo "Duplicity has many optional dependencies to support various backends."
+ einfo "Currently it's up to you to install them as necessary."
+}